For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate IC invoicing tax
      • DELDelete IC invoicing tax
      • GETGet IC invoicing taxes
      • PATCHUpdate IC invoicing tax
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsIc Invoicing Taxes

Create IC invoicing tax

POST
/contracts/:contract_id/ic-invoicing-taxes
POST
/rest/v2/contracts/:contract_id/ic-invoicing-taxes
$curl -X POST https://api.letsdeel.com/rest/v2/contracts/37nex2x/ic-invoicing-taxes \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "tax_type": "WITHHOLDING_TAX",
> "percentage": 5
> }
>}'
1{}

Creates an invoicing tax entry for an independent contractor contract. Token scopes: invoice-adjustments:write

Was this page helpful?
Previous

Delete IC invoicing tax

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel Contract ID

Request

This endpoint expects an object.
dataobjectOptional

Response

IC tax successfully created

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication